Debian Bug report logs - #298195
ITP: tinywm -- Ridiculously tiny window manager

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>

Date: Sat, 5 Mar 2005 16:33:02 UTC

Owned by: nobuhiro iwamatsu <hemamu@t-base.ne.jp>

Severity: wishlist

Fixed in version tinywm/1.3-1

Done: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, nobuhiro iwamatsu <hemamu@t-base.ne.jp>:
Bug#298195; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, nobuhiro iwamatsu <hemamu@t-base.ne.jp>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: tinywm -- Ridiculously tiny window manager
Date: Sun, 06 Mar 2005 01:17:50 +0900
Package: wnpp
Severity: wishlist
Owner: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>


* Package name    : tinywm
  Version         : 1.2.0
  Upstream Author : Nick Welch <mack@incise.org>
* URL             : http://incise.org/
* License         : fair license 
  Description     : Ridiculously tiny window manager

 TinyWM is a ridiculously tiny window manager implemented in nearly as
 few lines of C as possible, without being obfuscated or entirely
 useless. It allows you to move, resize, focus (sloppy), and raise
 windows.
 
-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP (charmap=EUC-JP)



Message sent on to Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>:
Bug#298195. Full text and rfc822 format available.

Message #8 received at 298195-submitter@bugs.debian.org (full text, mbox):

From: Andrew Suffield <asuffield@debian.org>
To: debian-devel@lists.debian.org
Cc: 298195-submitter@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#298195: ITP: tinywm -- Ridiculously tiny window manager
Date: Sun, 6 Mar 2005 00:05:52 +0000
[Message part 1 (text/plain, inline)]
On Sun, Mar 06, 2005 at 01:17:50AM +0900, Nobuhiro Iwamatsu wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
> 
> 
> * Package name    : tinywm
>   Version         : 1.2.0
>   Upstream Author : Nick Welch <mack@incise.org>
> * URL             : http://incise.org/
> * License         : fair license 

That's not a free license. In fact, it's about as non-free as you can
get, since it's essentially "all rights reserved"; there's no
permission to modify or redistribute at all. We can't distribute this,
even in non-free.

Here's the text:

Use of the works is permitted provided that this instrument
is retained with the works, so that any entity that uses the
works is notified of this instrument.

DISCLAIMER: THE WORKS ARE WITHOUT WARRANTY.

Usual example of why random people should not be writing licenses.

-- 
  .''`.  ** Debian GNU/Linux ** | Andrew Suffield
 : :' :  http://www.debian.org/ |
 `. `'                          |
   `-             -><-          |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, nobuhiro iwamatsu <hemamu@t-base.ne.jp>:
Bug#298195; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, nobuhiro iwamatsu <hemamu@t-base.ne.jp>. Full text and rfc822 format available.

Message #13 received at 298195@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Debian development list <debian-devel@lists.debian.org>
Cc: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>, 298195@bugs.debian.org
Subject: Re: Bug#298195: ITP: tinywm -- Ridiculously tiny window manager
Date: Sun, 06 Mar 2005 01:59:12 +0100
[Message part 1 (text/plain, inline)]
Le dimanche 06 mars 2005 à 01:17 +0900, Nobuhiro Iwamatsu a écrit :
>  TinyWM is a ridiculously tiny window manager implemented in nearly as
>  few lines of C as possible, without being obfuscated or entirely
>  useless. It allows you to move, resize, focus (sloppy), and raise
>  windows.

Describing how the code is small si sure some fun, but is this package
really useful for something? As described, it sounds just like one more
random window manager nobody cares for.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, nobuhiro iwamatsu <hemamu@t-base.ne.jp>:
Bug#298195; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, nobuhiro iwamatsu <hemamu@t-base.ne.jp>. Full text and rfc822 format available.

Message #18 received at 298195@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
To: 298195@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>
Subject: Re: Bug#298195: ITP: tinywm -- Ridiculously tiny window manager
Date: Wed, 9 Mar 2005 07:38:04 +0900
On Sun, 06 Mar 2005 01:59:12 +0100
Josselin Mouette <joss@debian.org> wrote:

> Le dimanche 06 mars 2005 __ 01:17 +0900, Nobuhiro Iwamatsu a __crit :
> >  TinyWM is a ridiculously tiny window manager implemented in nearly as
> >  few lines of C as possible, without being obfuscated or entirely
> >  useless. It allows you to move, resize, focus (sloppy), and raise
> >  windows.
> 
> Describing how the code is small si sure some fun, but is this package
> really useful for something? As described, it sounds just like one more
> random window manager nobody cares for.

I am using this software on powerless PC. 
I used on embedded linux, and it was convenient.
I thought that I wanted to make it a package.

regards,
 Iwamatsu





Information stored:
Bug#298195; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 298195-quiet@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
To: Andrew Suffield <asuffield@debian.org>, 298195-quiet@bugs.debian.org
Subject: Re: Bug#298195: ITP: tinywm -- Ridiculously tiny window manager
Date: Wed, 9 Mar 2005 07:38:07 +0900
On Sun, 6 Mar 2005 00:05:52 +0000
Andrew Suffield <asuffield@debian.org> wrote:

> On Sun, Mar 06, 2005 at 01:17:50AM +0900, Nobuhiro Iwamatsu wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
> > 
> > 
> > * Package name    : tinywm
> >   Version         : 1.2.0
> >   Upstream Author : Nick Welch <mack@incise.org>
> > * URL             : http://incise.org/
> > * License         : fair license 
> 
> That's not a free license. In fact, it's about as non-free as you can
> get, since it's essentially "all rights reserved"; there's no
> permission to modify or redistribute at all. We can't distribute this,
> even in non-free.
> 
> Here's the text:
> 
> Use of the works is permitted provided that this instrument
> is retained with the works, so that any entity that uses the
> works is notified of this instrument.
> 
> DISCLAIMER: THE WORKS ARE WITHOUT WARRANTY.
> 
> Usual example of why random people should not be writing licenses.
> 
> -- 

Thank you for pointing out a mistake.
Contact so that I may have the license of this software set to Free License.

regards,
 Iwamatsu
 
  




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, nobuhiro iwamatsu <hemamu@t-base.ne.jp>:
Bug#298195; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, nobuhiro iwamatsu <hemamu@t-base.ne.jp>. Full text and rfc822 format available.

Message #28 received at 298195@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
To: 298195@bugs.debian.org
Subject: Re: Bug#298195: ITP: tinywm -- Ridiculously tiny window manager
Date: Sun, 13 Mar 2005 21:38:05 +0900
The license was changed. 

> 
> * Package name    : tinywm
>   Version         : 1.2.0
>   Upstream Author : Nick Welch <mack@incise.org>
> * URL             : http://incise.org/
> * License         : fair license 
 

* Package name    : tinywm
  Version         : 1.3.0
  Upstream Author : Nick Welch <mack@incise.org>
* URL             : http://incise.org/
* License         : Public Domain
 
regards,
 Iwamatsu
 
  




Reply sent to Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 298195-close@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
To: 298195-close@bugs.debian.org
Subject: Bug#298195: fixed in tinywm 1.3-1
Date: Mon, 18 Apr 2005 13:55:02 -0400
Source: tinywm
Source-Version: 1.3-1

We believe that the bug you reported is fixed in the latest version of
tinywm, which is due to be installed in the Debian FTP archive:

tinywm_1.3-1.diff.gz
  to pool/main/t/tinywm/tinywm_1.3-1.diff.gz
tinywm_1.3-1.dsc
  to pool/main/t/tinywm/tinywm_1.3-1.dsc
tinywm_1.3-1_i386.deb
  to pool/main/t/tinywm/tinywm_1.3-1_i386.deb
tinywm_1.3.orig.tar.gz
  to pool/main/t/tinywm/tinywm_1.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 298195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nobuhiro Iwamatsu <hemamu@t-base.ne.jp> (supplier of updated tinywm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 14 Mar 2005 00:13:19 +0900
Source: tinywm
Binary: tinywm
Architecture: source i386
Version: 1.3-1
Distribution: unstable
Urgency: low
Maintainer: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
Changed-By: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
Description: 
 tinywm     - Tiny Window Manager
Closes: 298195
Changes: 
 tinywm (1.3-1) unstable; urgency=low
 .
   * Initial release, closes: #298195
Files: 
 2410a2a7a8cf6732f09efd66c90ed7c4 591 x11 optional tinywm_1.3-1.dsc
 a65b19f47a6dbb62ce67aaaeb0781afb 5002 x11 optional tinywm_1.3.orig.tar.gz
 24bd33cd46bff24925c69b45262daee5 2795 x11 optional tinywm_1.3-1.diff.gz
 a6e6f01ba3874708682f77afd8c42cdc 6808 x11 optional tinywm_1.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCYu52MFm/ks03VvQRAsZ9AJ9E7AanQQOvC8+jTfVEMTtin2R18wCg5D37
PtCrUHCNzSS2UvBW+tTQd4U=
=4H1Y
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:16:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.